
QGIS Application - Bug report #2260

fTools: Singleparts to multipart

2009-12-10 09:42 PM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12320

Description

If choose field which not contains the same values, ftools produces empty shapefile.

Associated revisions

Revision a270bde0 - 2010-05-14 12:55 AM - cfarmer -

New warning when creating empty multipart layer; Ok button disabled on all functions while running; General bug fixes. Fixes #2260, #2057, and #1986.

Another great patch from alexbruy :-)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13481 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision f4760f23 - 2010-05-14 12:55 AM - cfarmer -

New warning when creating empty multipart layer; Ok button disabled on all functions while running; General bug fixes. Fixes #2260, #2057, and #1986.

Another great patch from alexbruy :-)

git-svn-id: http://svn.osgeo.org/qgis/trunk@13481 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-06 11:04 AM - Alexander Bruy

IMHO this is right behavior, if there are no features with same attribute we can't create multipart geometry.

But I think plugin should show warning message in this case, so I create patch for this.

#2 - 2010-05-13 03:57 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Patch applied in .

Carson

Files
fix_2260.diff 1.28 KB 2010-05-06 Alexander Bruy
